---
layout: mockup
title: "Initial Setup - Mobile Broadband"
permalink: initial-setup/wwan
theme: Adwaita/Adwaita.css
wallpaper: flowerbed
---
{%- include widgets/_panel.html -%}

<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/initial-setup.css">

<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar grouped">
		<div class="button-group float-left">
			<a href="{{ site.baseurl }}/initial-setup/sim-insert" class="button text-button" id="">Previous</a>
		</div>
		<div class="title-group float-center"><span class="title">Initial Setup</span></div>
		<div class="button-group float-right">
			<a class="button text-button suggested-action" id="">Next</a>
		</div>
	</div>
	<div class="content">
		<div class="view">
			<div class="row text-center">
				<div class="icon s96 large">{%- include symbolic/status/network-cellular-signal-excellent-symbolic.svg -%}</div>
				<h2>Mobile Broadband</h2>
				<!-- <p>Connect to a mobile broadband network.</p> -->
			</div>
			<div class="row">
				<!-- <h4>Data</h4> -->
				<ul class="listrow">
					<li>
						<label>Mobile Data</label>
						{%- include components/switch.html float = "right" checked = "checked" -%}
					</li>
				</ul>
				<p>Turning off Mobile Data will restrict data usage to Wi-Fi, including email, web browsing, and notifications.</p></p>
			</div>
			<div class="row">
				<h4>Network Selection</h4>
				<ul class="listrow">
					<li>
						<label>Automatic</label>
						{%- include components/switch.html float = "right" checked = "checked" id = "cellularAutomaticNetworkSelectionSwitch" -%}
					</li>
				</ul>
			</div>
			<div class="row" id="cellularNetworkSelectionOptions">
				<h4>Available Networks</h4>
				<ul class="listrow">
					<li onclick="cellularNetworkOption4G()">
						{%- include components/listrow-selection.html float = "left" type = "radio" checked = "checked" id = "cellularNetworkOption1" name = "cellularNetworks" -%}
						<label>4G (recommended)</label>
					</li>
					<li onclick="cellularNetworkOption3G()">
						{%- include components/listrow-selection.html float = "left" type = "radio" id = "cellularNetworkOption2" name = "cellularNetworks" -%}
						<label>3G</label>
					</li>
					<li onclick="cellularNetworkOption2G()">
						{%- include components/listrow-selection.html float = "left" type = "radio" id = "cellularNetworkOption3" name = "cellularNetworks" -%}
						<label>2G</label>
					</li>
				</ul>
			</div>
		</div>
	</div>
</div>

<script type="text/javascript">

$('#cellularNetworkSelectionOptions').hide();

// cellular network selection
$('#cellularAutomaticNetworkSelectionSwitch').change(function(){
	if($(this).is(":checked")) {
		$('#cellularNetworkSelectionOptions').hide();
	} else {
		$('#cellularNetworkSelectionOptions').show();
	}
});

function cellularNetworkOption4G(){
	$('#cellularNetworkOption1').prop('checked', true )
	;$('#statusCellularNetworkMobile').removeClass('hidden')
	;$('#statusCellularNetwork3GMobile').addClass('hidden')
	;$('#statusCellularNetwork2GMobile').addClass('hidden');
	;$('#statusCellularNetwork').removeClass('hidden')
	;$('#statusCellularNetwork3G').addClass('hidden')
	;$('#statusCellularNetwork2G').addClass('hidden');
}

function cellularNetworkOption3G(){
	$('#cellularNetworkOption2').prop('checked', true )
	;$('#statusCellularNetworkMobile').addClass('hidden')
	;$('#statusCellularNetwork3GMobile').removeClass('hidden')
	;$('#statusCellularNetwork2GMobile').addClass('hidden');
	;$('#statusCellularNetwork').addClass('hidden')
	;$('#statusCellularNetwork3G').removeClass('hidden')
	;$('#statusCellularNetwork2G').addClass('hidden');
}

function cellularNetworkOption2G(){
	$('#cellularNetworkOption3').prop('checked', true )
	;$('#statusCellularNetworkMobile').addClass('hidden')
	;$('#statusCellularNetwork3GMobile').addClass('hidden')
	;$('#statusCellularNetwork2GMobile').removeClass('hidden');
	;$('#statusCellularNetwork').addClass('hidden')
	;$('#statusCellularNetwork3G').addClass('hidden')
	;$('#statusCellularNetwork2G').removeClass('hidden');
}
</script>